Bug 923503 - cleanAllRUV task fails to cleanup config upon completion
Summary: cleanAllRUV task fails to cleanup config upon completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks: 929114
TreeView+ depends on / blocked
 
Reported: 2013-03-20 01:16 UTC by Nathan Kinder
Modified: 2013-11-21 21:05 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-14.el6_4
Doc Type: Bug Fix
Doc Text:
A task manually constructed an exact value to be removed from the configuration if the "replica-force-cleaning" option was used. Consequently, the task configuration was not cleaned up, and every time the server was restarted, the task behaved in the described manner. This update searches the configuration for the exact value to delete, instead of manually building the value, and the task does not restart when the server is restarted
Clone Of:
Environment:
Last Closed: 2013-11-21 21:05:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1653 normal SHIPPED_LIVE 389-ds-base bug fix update 2013-11-20 21:53:19 UTC

Description Nathan Kinder 2013-03-20 01:16:39 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/623

It's possible that when issuing a cleanallruv task with the force option set to on, that the config attribute nsds5CleanRuv will not be removed.  At restart the task will fire off again.

Comment 6 Sankar Ramalingam 2013-08-18 05:47:34 UTC
Automated in mmrepl/cleanallruv/cleanallruv.sh

Comment 7 Sankar Ramalingam 2013-09-18 10:59:31 UTC
RHEL6.5 automated acceptance for cleanallruv shows that test cases cleanallruv_05 and cleanallruv_06 are passing. Hence, marking the bug as verified.

############## Result  for  backend test :   cleanallruv run
    cleanallruv run elapse time : 00:06:47
    cleanallruv run Tests PASS      : 100% (6/6)

Verified against build - 389-ds-base-1.2.11.15-24.

Comment 8 errata-xmlrpc 2013-11-21 21:05:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1653.html


Note You need to log in before you can comment on or make changes to this bug.